Status: Closed Start date: 05 Dec 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 5.25 hours

Description

Add a new function which computes a good rational approximation within a specified absolute error.  Laura needs this.

Note that CFApprox and FloatApprox accept only relative errors.

History

#1 - 05 Dec 2012 14:58 - John Abbott

JAA proposes a function SimplestRationalInInterval which makes publicly accessible a feature already used internally in RingTwinFloat.  It takes as

input two rationals denoting the end points of a closed interval, and returns the simplest rational in that interval.

Any suggestions for a better/shorter name?

AMB: 5 Dec 2012: I suggest SimplestBigRatIn(A,B) for cocoalib and SimplestRATIn(A,B) for cocoa-5

#2 - 05 Dec 2012 15:31 - John Abbott

Proposals for the name of the function:

SimplestRationalBetween

SimplestRatBetween

 

Update 2012-12-11 After verbal discussion, we opt for the names SimplestBigRatBetween and SimplestRATBetween

#3 - 05 Dec 2012 15:46 - John Abbott

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 70

JAA has implemented the fn in CoCoALib, and also make it available in CoCoA-5.

It remains only to decide the name(s), and write the doc.

Corrected doc for CFApprox.
#4 - 11 Dec 2012 18:34 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 70 to 100

JAA has changed the names (as agreed in point 2).  Also changed doc.

Fixed a bug -- it gave the wrong answer for args (1, 2).

#5 - 12 Dec 2012 19:10 - John Abbott

Added tests for various functions related to continued fractions.  As a consequence, I found another bug (and fixed it).

#6 - 18 Feb 2013 20:19 - John Abbott

- Status changed from Feedback to Closed

No problems have surfaced in 2 months.  Doc is present; tests are present.

Closing this issue.
